Loading...
Searching...
No Matches
Http_separator

## Macros

#define | HTTP_SEPARATOR_INIT()
| Initializer for structure http_separator_t.
#define | HTTPTAG_SEPARATOR(x)
| Tag list item for pointer to a separator line between headers and body object.
#define | HTTPTAG_SEPARATOR_STR(s)
| Tag list item for string with separator line between headers and body value.

## Enumerations

enum | { http_separator_hash }

## Functions

http_separator_t * | http_separator_init (http_separator_t x[1])
| Initialize a structure http_separator_t.
int | http_is_separator (http_header_t const *header)
| Test if header object is instance of http_separator_t.
http_separator_t * | http_separator_dup (su_home_t *home, http_separator_t const *hdr))
| Duplicate (deep copy) `http_separator_t`.
http_separator_t * | http_separator_copy (su_home_t *home, http_separator_t const *hdr))
| Copy a http_separator_t header structure.
http_separator_t * | http_separator_make (su_home_t *home, char const *s))
| Make a header structure http_separator_t.
http_separator_t * | http_separator_format (su_home_t *home, char const *fmt,...)))
| Make a separator line between headers and body from formatting result.

## Variables

msg_hclass_t | http_separator_class []
| Header class for HTTP separator line between headers and body.
msg_parse_f | http_separator_d
| Decode (parse) a separator line between headers and body.
msg_print_f | http_separator_e
| Encode (print) a separator line between headers and body.

## Detailed Description

## Macro Definition Documentation

## HTTP_SEPARATOR_INIT

#define HTTP_SEPARATOR_INIT | ( |  | ) |

Initializer for structure http_separator_t.

A static http_separator_t structure must be initialized with the HTTP_SEPARATOR_INIT() macro. For instance,

http_separator_t http_separator = HTTP_SEPARATOR_INIT;
HTTP_SEPARATOR_INIT
#define HTTP_SEPARATOR_INIT()
Initializer for structure http_separator_t.
Definition http_protos.h:14092
http_separator_t
msg_separator_t http_separator_t
Separator line between headers and message contents.
Definition http.h:165

## HTTPTAG_SEPARATOR

#define HTTPTAG_SEPARATOR | ( |  | x | ) |

Tag list item for pointer to a separator line between headers and body object.

The HTTPTAG_SEPARATOR() macro is used to include a tag item with a pointer to a http_separator_t object in a tag list.

Parameters

  x | pointer to a http_separator_t header structure, or NULL.

## HTTPTAG_SEPARATOR_STR

#define HTTPTAG_SEPARATOR_STR | ( |  | s | ) |

Tag list item for string with separator line between headers and body value.

The HTTPTAG_SEPARATOR_STR() macro is used to include a tag item with a string containing value of a http_separator_t header in a tag list.

Parameters

  s | pointer to a string containing http_separator_t value, or NULL.

The HTTPTAG_SEPARATOR_STR string can be converted to a http_separator_t header structure by giving the string s has second argument to function http_separator_make().

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
http_separator_hash | Hash of separator line between headers and body.

## Function Documentation

## http_is_separator()

int http_is_separator | ( | http_header_t const * | header | ) |

inline

Test if header object is instance of http_separator_t.

The function http_is_separator() returns true (nonzero) if the header class is an instance of separator line between headers and body object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function http_is_xseparator() returns true (nonzero) if the header object is an instance of header separator and false (zero) otherwise.

## http_separator_copy()

http_separator_t * http_separator_copy | ( | su_home_t * | home,
|  | http_separator_t const * | hdr )

inline

Copy a http_separator_t header structure.

The function http_separator_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  separator = http_separator_copy(home, http->http_separator);
  http_separator_copy
  http_separator_t * http_separator_copy(su_home_t *home, http_separator_t const *hdr))
  Copy a http_separator_t header structure.
  Definition http_protos.h:14286

Returns
  The function http_separator_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## http_separator_dup()

http_separator_t * http_separator_dup | ( | su_home_t * | home,
|  | http_separator_t const * | hdr )

inline

Duplicate (deep copy) `http_separator_t`.

The function http_separator_dup() duplicates a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  separator = http_separator_dup(home, http->http_separator);
  http_separator_dup
  http_separator_t * http_separator_dup(su_home_t *home, http_separator_t const *hdr))
  Duplicate (deep copy) http_separator_t.
  Definition http_protos.h:14279

Returns
  The function http_separator_dup() returns a pointer to the newly duplicated http_separator_t header structure, or NULL upon an error.

## http_separator_format()

http_separator_t * http_separator_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a separator line between headers and body from formatting result.

The function http_separator_format() makes a new separator line between headers and body object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function is usually implemented as a macro calling msg_header_format().

Returns
  The function http_separator_format() returns a pointer to newly makes header structure, or NULL upon an error.

## http_separator_init()

http_separator_t * http_separator_init | ( | http_separator_t | x[1] | ) |

inline

Initialize a structure http_separator_t.

An http_separator_t structure can be initialized with the http_separator_init() function/macro. For instance,

http_separator_t http_separator;
http_separator_init(&http_separator);
http_separator_init
http_separator_t * http_separator_init(http_separator_t x[1])
Initialize a structure http_separator_t.
Definition http_protos.h:14108

## http_separator_make()

http_separator_t * http_separator_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure http_separator_t.

The function http_separator_make() makes a new http_separator_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function is usually implemented as a macro calling http_header_make().

Returns
  The function http_separator_make() returns a pointer to newly maked http_separator_t header structure, or NULL upon an error.

## Variable Documentation

## http_separator_class

msg_hclass_t http_separator_class[]

extern

Header class for HTTP separator line between headers and body.

The header class http_separator_class defines how a HTTP separator line between headers and body is parsed and printed. It also contains methods used by HTTP parser and other functions to manipulate the http_separator_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.